%define name gnugo
%define version 3.0.0
%define release 1mdk

Summary: The GNU program to play the game of Go
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL 
Group: Games/Boards
Source0: ftp://ftp.gnu.org/gnu/gnugo-%{version}.tar.bz2
Url: http://www.gnu.org/software/gnugo 
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: glibc ncurses

%description
Go is a game of strategy between two players usually played on a 
19x19 grid called goban. GNU Go plays a game of Go against the 
user. It has many other features: it can play against itself or 
another program, analyse and score a recorded game. GNU Go is 
compliant with Go Modem Protocol, and load / save games in the
Smart Go format.
GNU Go default is a simple alpha-numeric board display, if you'd
like to use a graphical interface with GNU Go, you'll also need 
to install the CGoban package and the X Window System.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure --enable-color --with-curses

%make

cd doc 
#make gnugo.ps 
makeinfo --html gnugo.texi

%install
%makeinstall

bzip2 doc/gnugo.html

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/gnugo"\
title="Gnugo"\
longtitle="Go"\
needs="x11"\
section="Amusement/Strategy"
EOF
) 

%post
%{update_menus}
%_install_info %{_infodir}/%{name}.info.bz2

%postun
%{clean_menus}
%_remove_install_infos %{_infodir}/%{name}.info.bz2


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README THANKS TODO doc/gnugo.html
%{_infodir}/*
#/usr/share/doc/gnugo-2.7.238/*
%{_bindir}/*
%{_mandir}/man6/*
%{_libdir}/menu/*

%changelog
* Tue Aug 28 2001 Yves Bailly <ybailly@mandrakesoft.com> 3.0.0-1mdk
- upgrade to 3.0.0, 4 stones stronger than 2.6
- now uses ncurses for text play

* Thu May 31 2001 Yves Bailly <ybailly@mandrakesoft.com> 2.7.238-2mdk
- fix spec file (post-install-infos)

* Tue May 29 2001 Yves Bailly <ybailly@mandrakesoft.com> 2.7.238-1mdk
- last release

* Wed Jan 10 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.6-4mdk
- rebuild

* Fri Sep 01 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.6-3mdk
- macros
- BM
- menu

* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.6-2mdk
- fix group
* Mon Apr  4 2000 Jerome Dumonteil <jd@mandrakesoft.com>
- upgrade to 2.6
- new doc
- fix group
* Wed Dec 29 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- small changes in description
* Thu Dec 23 1999 Jerome Dumonteil <jd@mandrakesoft.com>
- first mandrake rpm
- patch for known bugs of 2.4
